Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1470)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1471)
@@ -129,7 +129,7 @@
 
 			// Extended parameters
 			Composite extendedParametersArea = this.getExtendedParametersGroup();
-			((GridLayout)extendedParametersArea.getLayout()).numColumns = 3;
+			//((GridLayout)extendedParametersArea.getLayout()).numColumns = 3;
 			
 //			GridLayout gridLayout = new GridLayout();
 //			gridLayout.numColumns = 3;
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 1470)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 1471)
@@ -73,7 +73,7 @@
 		// disable all component of the rendering tool bar
 		this.advancedChartToolBar.setEnabled(false);
 		
-		extendedParametersGroup.pack();
+		//extendedParametersGroup.pack();
 
 		Log.info(WordCloudUIMessages.wordCloudReadyColon + this.getResult());
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1470)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1471)
@@ -414,6 +414,10 @@
 			this._createPartControl(); // child editor creates its parameters and displays widgets
 			this.notifyExtensions("notifyEndOfCreatePartControl"); //$NON-NLS-1$
 
+			
+			this.firstLineComposite.pack();
+			this.extendedParametersGroup.pack();
+			
 			// remove empty toolbar
 			//TODO SJ: Hack? MD: yeah -> need to find a way to not display the bottom toolbar on Windows instead
 			if (this.bottomToolBar.getItems().length == 0) {
@@ -427,11 +431,11 @@
 			}
 
 			// uninstall parameters group if not used
-			if (extendedParametersGroup.getChildren().length == 0) {
+			if (this.extendedParametersGroup.getChildren().length == 0) {
 				this.topToolBar.unInstallGroup(COMPUTING_PARAMETERS_GROUP_ID);
 			}
 
-			if (getResult().isLocked()) {
+			if (this.getResult().isLocked()) {
 				this.firstLineComposite.setEnabled(false);
 			}
 
@@ -440,7 +444,7 @@
 			if (computeButton != null) {
 				computeButton.setEnabled(false);
 			}
-
+			
 		} catch(Throwable e) {
 			Log.severe(TXMCoreMessages.bind("TXMEditor.createPartControl(): can not create the editor for result {0}.", this.getResult())); //$NON-NLS-1$
 			e.printStackTrace();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 1470)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 1471)
@@ -248,19 +248,20 @@
 		group.setText(groupTitle);
 
 		// FIXME: SJ: new version to avoid to redefine the grid layout in each subclasses editors
-		GridLayout layout = new GridLayout();
-		layout.marginLeft = 5;
-		layout.marginWidth = 0;
-		layout.marginBottom = 0;
-		layout.marginHeight = 0;
-		layout.marginTop = 0;
+//		GridLayout layout = new GridLayout();
+//		layout.marginLeft = 5;
+//		layout.marginWidth = 0;
+//		layout.marginBottom = 0;
+//		layout.marginHeight = 0;
+//		layout.marginTop = 0;
 
 		// FIXME: SJ: old version
-//		RowLayout layout = new RowLayout();
-//		layout.wrap = true;
-//		layout.center = true;
-//		layout.spacing = 8;
-//		layout.marginWidth = layout.marginBottom = layout.marginHeight = layout.marginTop = 0;
+		RowLayout layout = new RowLayout();
+		layout.wrap = true;
+		layout.center = true;
+		layout.spacing = 8;
+		layout.marginWidth = layout.marginBottom = layout.marginHeight = layout.marginTop = 0;
+
 		group.setLayout(layout);
 
 		GridData gd2 = new GridData(GridData.FILL_BOTH);
